Module com.io7m.jtensors.generators
Package com.io7m.jtensors.generators

## Class PVector2IGenerator<T>

- java.lang.Object
- - com.io7m.jtensors.generators.PVector2IGenerator<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    `net.java.quickcheck.Generator<PVector2I<T>>`

      public final class PVector2IGenerator<T>
      extends Object
      implements net.java.quickcheck.Generator<PVector2I<T>>

  A vector generator.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PVector2IGenerator​(net.java.quickcheck.Generator<Integer> in_gen)` | Construct a generator.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> net.java.quickcheck.Generator<PVector2I<T>>` | `create​()` | Create a generator initialized with a default component generator.
    `static <T> net.java.quickcheck.Generator<PVector2I<T>>` | `create16​()` | Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
    `static <T> net.java.quickcheck.Generator<PVector2I<T>>` | `create32​()` | Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
    `static <T> net.java.quickcheck.Generator<PVector2I<T>>` | `create8​()` | Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
    `static <T> net.java.quickcheck.Generator<PVector2I<T>>` | `createSmall​()` | Create a generator initialized with a default component generator that produces values in the range `[-128, 128]`.
    `PVector2I<T>` | `next​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PVector2IGenerator

          public PVector2IGenerator​(net.java.quickcheck.Generator<Integer> in_gen)

      Construct a generator.
      Parameters:
        `in_gen` - A component generator

  - ### Method Detail

    - #### create

          public static <T> net.java.quickcheck.Generator<PVector2I<T>> create​()

      Create a generator initialized with a default component generator.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### createSmall

          public static <T> net.java.quickcheck.Generator<PVector2I<T>> createSmall​()

      Create a generator initialized with a default component generator that produces values in the range `[-128, 128]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create32

          public static <T> net.java.quickcheck.Generator<PVector2I<T>> create32​()

      Create a generator initialized with a default component generator that produces values in the range `[-2147483648, 2147483647]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create16

          public static <T> net.java.quickcheck.Generator<PVector2I<T>> create16​()

      Create a generator initialized with a default component generator that produces values in the range `[-32768, 32767]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### create8

          public static <T> net.java.quickcheck.Generator<PVector2I<T>> create8​()

      Create a generator initialized with a default component generator that produces values in the range `[-128, 127]`.
      Type Parameters:
        `T` - A phantom type parameter
      Returns:
        A generator

    - #### next

          public PVector2I<T> next​()

      Specified by:
        `next` in interface `net.java.quickcheck.Generator<T>`

Copyright © 2017 <code@io7m.com> http://io7m.com